Subject: Re: bug#16326: 24.3.50; Emacs crashes when C-c C-c to end the capture of an Org note

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2014 17:23:47 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Date: Thu, 02 Jan 2014 13:44:35 +0100
> 
> Second, I just downloaded this morning a new version of Emacs (Windows
> binary), compiled by Dani on the 29th of December.
> 
> It is quite unstable for me: it crashed no less than 4 times over
> a couple of hours...
> 
>     Note -- Up to now, I was using r114715 (from 2013-10-19). That one
>     was quite stable: almost no crash at all. I tried updating this
>     morning to see if the Org display performance problem (because of
>     the display of UTF-8 characters) was solved with new versions. That
>     is well solved (thanks to a workaround, IIUC).
> 
> I had no time to try debugging the first crashes. Now, I can afford
> looking at it.
> 
> Here is the backtrace:
> [...]
> #1  0x011fb226 in emacs_abort ()
>     at c:/msys/home/Dani/emacs/trunk/src/w32fns.c:8419
> #2  0x010efc16 in terminate_due_to_signal (sig=22, backtrace_limit=2147483647)
>     at c:/msys/home/Dani/emacs/trunk/src/emacs.c:378
> #3  0x0116191d in die (
>     msg=0x14aba14 <DEFAULT_REHASH_SIZE+412> "c->buffer_beg <= start && end <= c->buffer_end",
>     file=0x14ab880 <DEFAULT_REHASH_SIZE+8> "c:/msys/home/Dani/emacs/trunk/src/region-cache.c", line=364) at c:/msys/home/Dani/emacs/trunk/src/alloc.c:6760
> #4  0x011d487e in set_cache_region (c=0x6683e40, start=90352, end=90352,
>     value=1) at c:/msys/home/Dani/emacs/trunk/src/region-cache.c:364
> #5  0x011d4f8a in know_region_cache (buf=0x380d600, c=0x6683e40, start=90352,
>     end=90352) at c:/msys/home/Dani/emacs/trunk/src/region-cache.c:671
> #6  0x011448c5 in find_newline (start=90352, start_byte=91158, end=1,
>     end_byte=1, count=-1, shortage=0x88bebc, bytepos=0x88bec0, allow_quit=true)

This is almost certainly a duplicate of bug #16265, which was fixed
yesterday.  Try to find a newer binary, or set cache-long-scans to nil
as a workaround.